opkg: run pre-install check before listing upgradable packages to ensure all
authorticktock35 <ticktock35@e8e0d7a0-c8d9-11dd-a880-a1081c7ac358>
Mon, 15 Dec 2008 05:20:49 +0000 (05:20 +0000)
committerticktock35 <ticktock35@e8e0d7a0-c8d9-11dd-a880-a1081c7ac358>
Mon, 15 Dec 2008 05:20:49 +0000 (05:20 +0000)
data is valid. Fixes bug 1433.

git-svn-id: http://opkg.googlecode.com/svn/trunk@125 e8e0d7a0-c8d9-11dd-a880-a1081c7ac358

libopkg/opkg.c

index 3d5447f..8ff8075 100644 (file)
@@ -900,6 +900,9 @@ opkg_list_upgradable_packages (opkg_t *opkg, opkg_package_callback_t callback, v
   opkg_assert (opkg);
   opkg_assert (callback);
 
+  /* ensure all data is valid */
+  pkg_info_preinstall_check (opkg->conf);
+
   all = pkg_vec_alloc ();
   pkg_hash_fetch_available (&opkg->conf->pkg_hash, all);
   for (i = 0; i < all->len; i++)